<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Auth\Admin\LoginController;





/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/





Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');


Route::prefix('admin')->namespace('Auth\Admin')->group(function(){

    Route::get('login', [LoginController::class, 'showLoginForm'])->name('admin.login');
    Route::post('login', [LoginController::class, 'login']);
    Route::post('logout', [LoginController::class, 'logout'])->name('admin.logout');

});

Route::prefix('admin')->namespace('Admin')->group(function(){
    Route::get('dashboard', [App\Http\Controllers\Admin\DashboardController::class,'index']);
});

Route::prefix('user')->namespace('User')->group(function(){
    Route::get('dashboard', [App\Http\Controllers\User\DashboardController::class,'index']);
});

Route::get('/', [App\Http\Controllers\PageMbrController::class,'HomePage']);



/*--------------------------------------FORM CONTROLLERS------------------------------------------*/


Route::get('appointment', [App\Http\Controllers\ContactMbrController::class,'Appointment']);
Route::post('appointment', [App\Http\Controllers\ContactMbrController::class,'AppointmentStore']);


Route::get('admission', [App\Http\Controllers\ContactMbrController::class,'Enquiry']);
Route::post('enquiry', [App\Http\Controllers\ContactMbrController::class,'EnquiryStore']);

Route::get('contact-us', [App\Http\Controllers\ContactMbrController::class,'Contact']);
Route::post('contact-us', [App\Http\Controllers\ContactMbrController::class,'ContactStore']);

Route::get('grievance', [App\Http\Controllers\ContactMbrController::class,'Grievance']);
Route::post('grievance', [App\Http\Controllers\ContactMbrController::class,'GrievanceStore']);

Route::get('suggestion', [App\Http\Controllers\ContactMbrController::class,'Suggestion']);
Route::post('suggestion', [App\Http\Controllers\ContactMbrController::class,'SuggestionStore']);


Route::get('/admin/contact', [App\Http\Controllers\Admin\ContactsController::class,'ContactShow']);
Route::post('/admin/contactstatusupdate/{id}', [App\Http\Controllers\Admin\ContactsController::class,'ContactStatus']);
Route::get('/admin/contactmessageview/{id}', [App\Http\Controllers\Admin\ContactsController::class,'ContactView']);
Route::get('/admin/contactmessagedelete/{id}', [App\Http\Controllers\Admin\ContactsController::class,'Delete']);

Route::get('/admin/appointment', [App\Http\Controllers\Admin\ContactsController::class,'AppointmentShow']);
Route::post('/admin/appointmentstatusupdate/{id}', [App\Http\Controllers\Admin\ContactsController::class,'AppointmentStatus']);
Route::get('/admin/appointmentmessageview/{id}', [App\Http\Controllers\Admin\ContactsController::class,'AppointmentView']);
Route::get('/admin/appointmentmessagedelete/{id}', [App\Http\Controllers\Admin\ContactsController::class,'AppointmentDelete']);

Route::get('/admin/enquiry', [App\Http\Controllers\Admin\ContactsController::class,'EnquiryShow']);
Route::post('/admin/enquirystatusupdate/{id}', [App\Http\Controllers\Admin\ContactsController::class,'EnquiryStatus']);
Route::get('/admin/enquirymessageview/{id}', [App\Http\Controllers\Admin\ContactsController::class,'EnquiryView']);
Route::get('/admin/enquirymessagedelete/{id}', [App\Http\Controllers\Admin\ContactsController::class,'EnquiryDelete']);

Route::get('/admin/grievance', [App\Http\Controllers\Admin\ContactsController::class,'GrievanceShow']);
Route::post('/admin/grievancestatusupdate/{id}', [App\Http\Controllers\Admin\ContactsController::class,'GrievanceStatus']);
Route::get('/admin/grievancemessageview/{id}', [App\Http\Controllers\Admin\ContactsController::class,'GrievanceView']);
Route::get('/admin/grievancemessagedelete/{id}', [App\Http\Controllers\Admin\ContactsController::class,'GrievanceDelete']);

Route::get('/admin/suggestion', [App\Http\Controllers\Admin\ContactsController::class,'SuggestionShow']);
Route::post('/admin/suggestionstatusupdate/{id}', [App\Http\Controllers\Admin\ContactsController::class,'SuggestionStatus']);
Route::get('/admin/suggestionmessageview/{id}', [App\Http\Controllers\Admin\ContactsController::class,'SuggestionView']);
Route::get('/admin/suggestionmessagedelete/{id}', [App\Http\Controllers\Admin\ContactsController::class,'SuggestionDelete']);



/*--------------------------------------FORM CONTROLLERS------------------------------------------*/


Route::get('allgallery', [App\Http\Controllers\PageMbrController::class,'GalleryImage']);
Route::get('/page/{slug}', [App\Http\Controllers\PageMbrController::class,'index']);
Route::get('about-us', [App\Http\Controllers\PageMbrController::class,'About']);
Route::get('e-learning', [App\Http\Controllers\PageMbrController::class,'Elearning']);
Route::get('socialactivity', [App\Http\Controllers\PageMbrController::class,'Socialactivity']);
Route::get('mjfcvsmedia', [App\Http\Controllers\PageMbrController::class,'Mjfcvsmedia']);
Route::get('medical-camps', [App\Http\Controllers\PageMbrController::class,'medicalcamps']);

Route::get('teaching-faculty', [App\Http\Controllers\PageMbrController::class,'Teaching']);
Route::get('/teaching-faculty/{slug}', [App\Http\Controllers\PageMbrController::class,'Teachingview']);

Route::get('all-video', [App\Http\Controllers\PageMbrController::class,'Video']);

Auth::routes();


/*---------------Profile------Controller-----------*/
Route::get('/profile', [App\Http\Controllers\ProfileController::class,'index']);
Route::post('profile/{id}', [App\Http\Controllers\ProfileController::class,'update']);


/*---------------Admin------Controller-----------*/

Route::get('/pages', [App\Http\Controllers\MbradminController::class,'Pages']);
Route::get('/add-pages', [App\Http\Controllers\MbradminController::class,'AddPages']);
Route::post('/add-pages', [App\Http\Controllers\MbradminController::class,'Store']);
Route::get('/pageedit/{id}', [App\Http\Controllers\MbradminController::class,'PageShow']);
Route::post('/pageedit/{slug}', [App\Http\Controllers\MbradminController::class,'Pageedit']);
Route::get('/pagedelete/{id}', [App\Http\Controllers\MbradminController::class,'Delete']);


/*
--------------------------- Teching ---------------------------------------
*/

Route::get('/admin/teaching', [App\Http\Controllers\Admin\TeachingController::class,'Post']);
Route::get('/admin/add-teaching', [App\Http\Controllers\Admin\TeachingController::class,'AddPost']);
Route::post('/admin/add-teaching', [App\Http\Controllers\Admin\TeachingController::class,'Store']);
Route::get('/admin/teachingedit/{slug}', [App\Http\Controllers\Admin\TeachingController::class,'PostShow']);
Route::post('/admin/teachingedit/{id}', [App\Http\Controllers\Admin\TeachingController::class,'Postedit']);

Route::get('/admin/teachin/{id}', [App\Http\Controllers\Admin\TeachingController::class,'Delete']);


/*
--------------------------- Post ---------------------------------------
*/

Route::get('/post', [App\Http\Controllers\Admin\PostController::class,'Post']);
Route::get('/add-post', [App\Http\Controllers\Admin\PostController::class,'AddPost']);
Route::post('/add-post', [App\Http\Controllers\Admin\PostController::class,'Store']);
Route::get('/postedit/{id}', [App\Http\Controllers\Admin\PostController::class,'PostShow']);
Route::post('/postedit/{slug}', [App\Http\Controllers\Admin\PostController::class,'Postedit']);


Route::get('/recycle-posts', [App\Http\Controllers\Admin\PostController::class,'trash'])->name('posts.trash');
Route::get('/recycle-postss/{id}', [App\Http\Controllers\Admin\PostController::class,'restore'])->name('posts.restore');
Route::get('/recycle-posts/{id}', [App\Http\Controllers\Admin\PostController::class,'remove'])->name('posts.remove');
Route::delete('/destroy/{post}', [App\Http\Controllers\Admin\PostController::class,'destroy'])->name('posts.destroy');


Route::get('/assign-posts/{url}', [App\Http\Controllers\Admin\PostController::class,'assign']);



Route::get('/category', [App\Http\Controllers\Admin\PostController::class,'Category']);
Route::get('/add-postcategory', [App\Http\Controllers\Admin\PostController::class,'AddCategory']);
Route::post('/add-postcategory', [App\Http\Controllers\Admin\PostController::class,'CatStore']);
Route::get('/categoryedit/{id}', [App\Http\Controllers\Admin\PostController::class,'CategoryShow']);
Route::post('/categoryedit/{slug}', [App\Http\Controllers\Admin\PostController::class,'Categorytedit']);
Route::get('/catdelete/{id}', [App\Http\Controllers\Admin\PostController::class,'CatDelete']);



Route::get('post/{slug}', [App\Http\Controllers\PageMbrController::class,'PostShow']);

/*
--------------------------- Resent Update Controller ---------------------------------------
*/

Route::get('/resentupdate', [App\Http\Controllers\Admin\ResentUpdateController::class,'Post']);
Route::get('/add-resentupdate', [App\Http\Controllers\Admin\ResentUpdateController::class,'AddPost']);
Route::post('/add-resentupdate', [App\Http\Controllers\Admin\ResentUpdateController::class,'Store']);
Route::get('/resentupdateedit/{id}', [App\Http\Controllers\Admin\ResentUpdateController::class,'PostShow']);
Route::post('/resentupdateedit/{slug}', [App\Http\Controllers\Admin\ResentUpdateController::class,'Postedit']);


Route::get('/recycle-resentupdates', [App\Http\Controllers\Admin\ResentUpdateController::class,'trash'])->name('resentupdates.trash');
Route::get('/recycle-resentupdatess/{id}', [App\Http\Controllers\Admin\ResentUpdateController::class,'restore'])->name('resentupdates.restore');
Route::get('/recycle-resentupdates/{id}', [App\Http\Controllers\Admin\ResentUpdateController::class,'remove'])->name('resentupdates.remove');
Route::delete('/destroyres/{resent}', [App\Http\Controllers\Admin\ResentUpdateController::class,'destroy'])->name('resentupdates.destroy');


Route::get('/assign-resentupdates/{url}', [App\Http\Controllers\Admin\ResentUpdateController::class,'assign']);



Route::get('/resentcategory', [App\Http\Controllers\Admin\ResentUpdateController::class,'Category']);
Route::get('/add-resentcategory', [App\Http\Controllers\Admin\ResentUpdateController::class,'AddCategory']);
Route::post('/add-resentcategory', [App\Http\Controllers\Admin\ResentUpdateController::class,'CatStore']);
Route::get('/resentcategoryedit/{id}', [App\Http\Controllers\Admin\ResentUpdateController::class,'CategoryShow']);
Route::post('/resentcategoryedit/{slug}', [App\Http\Controllers\Admin\ResentUpdateController::class,'Categorytedit']);
Route::get('/resentcatdelete/{id}', [App\Http\Controllers\Admin\ResentUpdateController::class,'CatDelete']);



//Route::get('post/{slug}', [App\Http\Controllers\PageMbrController::class,'PostShow']);



/*
--------------------------- portfolio ---------------------------------------
*/

Route::get('/elearning', [App\Http\Controllers\Admin\PortfolioController::class,'Portfolio']);
Route::get('/add-elearning', [App\Http\Controllers\Admin\PortfolioController::class,'AddPortfolio']);
Route::post('/add-elearning', [App\Http\Controllers\Admin\PortfolioController::class,'Store']);
Route::get('/elearningpostedit/{id}', [App\Http\Controllers\Admin\PortfolioController::class,'PortfolioShow']);
Route::post('/elearningpostedit/{slug}', [App\Http\Controllers\Admin\PortfolioController::class,'Portfolioedit']);
Route::get('/elearningdelete/{id}', [App\Http\Controllers\Admin\PortfolioController::class,'Delete']);
Route::get('/elearningalldelete', [App\Http\Controllers\Admin\PortfolioController::class,'DeleteAll']);


Route::get('/add-category', [App\Http\Controllers\Admin\PortfolioController::class,'Category']);
Route::get('/add-categoryelearning', [App\Http\Controllers\Admin\PortfolioController::class,'AddCategory']);
Route::post('/add-categoryelearning', [App\Http\Controllers\Admin\PortfolioController::class,'CatStore']);
Route::get('/add-categoryelearningedit/{id}', [App\Http\Controllers\Admin\PortfolioController::class,'CategoryShow']);
Route::post('/add-categoryelearningedit/{slug}', [App\Http\Controllers\Admin\PortfolioController::class,'Categorytedit']);
Route::get('/portdelete/{id}', [App\Http\Controllers\Admin\PortfolioController::class,'CatDelete']);



Route::get('portfolio/{slug}', [App\Http\Controllers\PageMbrController::class,'PortfolioShow']);

/*---------------gallery------Controller-----------*/
Route::get('image-gallery', [App\Http\Controllers\Admin\ImageGalleryController::class,'index']);
Route::post('image-gallery', [App\Http\Controllers\Admin\ImageGalleryController::class,'upload']);
Route::delete('image-gallery/{id}', [App\Http\Controllers\Admin\ImageGalleryController::class,'destroy']);

Route::get('/gallerycategory', [App\Http\Controllers\Admin\ImageGalleryController::class,'Category']);
Route::get('/add-gallerycategory', [App\Http\Controllers\Admin\ImageGalleryController::class,'AddCategory']);
Route::post('/add-gallerycategory', [App\Http\Controllers\Admin\ImageGalleryController::class,'CatStore']);
Route::get('/add-gallerycategoryedit/{id}', [App\Http\Controllers\Admin\ImageGalleryController::class,'CategoryShow']);
Route::post('/add-gallerycategoryedit/{slug}', [App\Http\Controllers\Admin\ImageGalleryController::class,'Categorytedit']);
Route::get('/gallerydelete/{id}', [App\Http\Controllers\Admin\ImageGalleryController::class,'CatDelete']);

Route::get('gallery/{slug}/{category_id}', [App\Http\Controllers\PageMbrController::class,'GalleryShow']);

/*---------------Media Images------Controller-----------*/
Route::get('mediaimages', [App\Http\Controllers\Admin\MediaImagesController::class,'index']);
Route::post('mediaimages', [App\Http\Controllers\Admin\MediaImagesController::class,'upload']);
Route::delete('mediaimages/{id}', [App\Http\Controllers\Admin\MediaImagesController::class,'destroy']);

/*---------------PPT UPLOAD------Controller-----------*/
Route::get('pptupload', [App\Http\Controllers\Admin\PptUploadController::class,'index']);
Route::post('pptupload', [App\Http\Controllers\Admin\PptUploadController::class,'upload']);
Route::delete('pptupload/{id}', [App\Http\Controllers\Admin\PptUploadController::class,'destroy']);

/*---------------DownloadsController------Controller-----------*/
Route::get('downloads', [App\Http\Controllers\Admin\DownloadsController::class,'index']);
Route::post('downloads', [App\Http\Controllers\Admin\DownloadsController::class,'upload']);
Route::get('/downloadsedit/{id}', [App\Http\Controllers\Admin\DownloadsController::class,'DownloadShow']);
Route::post('/downloadsedit/{id}', [App\Http\Controllers\Admin\DownloadsController::class,'downloadsedit']);
Route::delete('downloads/{id}', [App\Http\Controllers\Admin\DownloadsController::class,'destroy']);


/*---------------VideoController------Controller-----------*/
Route::get('video', [App\Http\Controllers\Admin\VideosController::class,'index']);
Route::post('video', [App\Http\Controllers\Admin\VideosController::class,'upload']);
Route::get('/videoedit/{id}', [App\Http\Controllers\Admin\VideosController::class,'DownloadShow']);
Route::post('/videoedit/{id}', [App\Http\Controllers\Admin\VideosController::class,'downloadsedit']);
Route::delete('video/{id}', [App\Http\Controllers\Admin\VideosController::class,'destroy']);




/*---------------Medicalcamps Controller------Controller-----------*/
Route::get('medicalcamps', [App\Http\Controllers\Admin\MedicalcampsController::class,'index']);
Route::post('medicalcamps', [App\Http\Controllers\Admin\MedicalcampsController::class,'upload']);
Route::delete('medicalcamps/{id}', [App\Http\Controllers\Admin\MedicalcampsController::class,'destroy']);

/*---------------SocialactivityController------Controller-----------*/
Route::get('social-services', [App\Http\Controllers\Admin\SocialactivityController::class,'index']);
Route::post('social-services', [App\Http\Controllers\Admin\SocialactivityController::class,'upload']);
Route::delete('social-services/{id}', [App\Http\Controllers\Admin\SocialactivityController::class,'destroy']);

/*---------------SocialactivityController------Controller-----------*/
Route::get('admin/mjfcvsmedia', [App\Http\Controllers\Admin\MediaController::class,'index']);
Route::post('admin/mjfcvsmedia', [App\Http\Controllers\Admin\MediaController::class,'upload']);
Route::get('admin/editmediamjf/{id}', [App\Http\Controllers\Admin\MediaController::class,'DownloadShow']);
Route::post('admin/editmediamjf/{id}', [App\Http\Controllers\Admin\MediaController::class,'downloadsedit']);
Route::delete('admin/mjfcvsmedia/{id}', [App\Http\Controllers\Admin\MediaController::class,'destroy']);

/*---------------DownloadsController------Controller-----------*/
Route::get('pdfs', [App\Http\Controllers\Admin\PdfController::class,'index']);
Route::post('pdfs', [App\Http\Controllers\Admin\PdfController::class,'upload']);
Route::delete('pdfs/{id}', [App\Http\Controllers\Admin\PdfController::class,'destroy']);

/*---------------SliderImages------Controller-----------*/
Route::get('/sliderimage', [App\Http\Controllers\Admin\SliderImagesController::class,'slider']);
Route::get('/add-slider', [App\Http\Controllers\Admin\SliderImagesController::class,'Addslider']);
Route::post('/add-slider', [App\Http\Controllers\Admin\SliderImagesController::class,'Store']);
Route::get('/slideredit/{id}', [App\Http\Controllers\Admin\SliderImagesController::class,'sliderShow']);
Route::post('/slideredit/{slug}', [App\Http\Controllers\Admin\SliderImagesController::class,'slideredit']);
Route::get('/sliderdelete/{id}', [App\Http\Controllers\Admin\SliderImagesController::class,'Delete']);

/*---------------Menu------Controller-----------*/
Route::get('manage-menus/{id?}', [App\Http\Controllers\Admin\MenuController::class,'index']);
Route::post('create-menu', [App\Http\Controllers\Admin\MenuController::class,'store']);
Route::get('add-categories-to-menu', [App\Http\Controllers\Admin\MenuController::class,'addCatToMenu']);
Route::get('add-post-to-menu', [App\Http\Controllers\Admin\MenuController::class,'addPostToMenu']);
Route::get('add-custom-link', [App\Http\Controllers\Admin\MenuController::class,'addCustomLink']);
Route::get('update-menu', [App\Http\Controllers\Admin\MenuController::class,'updateMenu']);
Route::post('update-menuitem/{id}', [App\Http\Controllers\Admin\MenuController::class,'updateMenuItem']);
Route::get('delete-menuitem/{id}/{key}/{in?}', [App\Http\Controllers\Admin\MenuController::class,'deleteMenuItem']);
Route::get('delete-menu/{id}', [App\Http\Controllers\Admin\MenuController::class,'destroy']);




/*---------------User------Controller-----------*/
Route::get('/users', [App\Http\Controllers\MbradminController::class,'Users']);
Route::get('/add-users', [App\Http\Controllers\MbradminController::class,'AddUsers']);
Route::post('/add-users', [App\Http\Controllers\MbradminController::class,'UserStore']);
Route::get('/useredit/{id}', [App\Http\Controllers\MbradminController::class,'UsersShow']);
Route::post('/useredit/{id}', [App\Http\Controllers\MbradminController::class,'Useredit']);
Route::get('/usersdelete/{id}', [App\Http\Controllers\MbradminController::class,'Deleteuser']);
Route::get('/usersalldelete', [App\Http\Controllers\MbradminController::class,'DeleteAll']);


/*
 Profile
*/
Route::get('/userprofile', [App\Http\Controllers\MbradminController::class,'Userprofile']);
/*
 Profile
*/
Route::get('/settings', [App\Http\Controllers\MbradminController::class,'Settings']);
Route::post('/settings/{id}', [App\Http\Controllers\MbradminController::class,'Settingsupdate']);

/*
--------------------------- Team ---------------------------------------
*/
Route::get('/team', [App\Http\Controllers\Admin\TeamController::class,'Team']);
Route::get('/add-team', [App\Http\Controllers\Admin\TeamController::class,'AddTeam']);
Route::post('/add-team', [App\Http\Controllers\Admin\TeamController::class,'Store']);
Route::get('/teamedit/{id}', [App\Http\Controllers\Admin\TeamController::class,'TeamShow']);
Route::post('/teamedit/{slug}', [App\Http\Controllers\Admin\TeamController::class,'Teamedit']);


Route::get('/teams-recycle', [App\Http\Controllers\Admin\TeamController::class,'trash'])->name('teams.trash');
Route::get('/teams-recyclee/{id}', [App\Http\Controllers\Admin\TeamController::class,'restore'])->name('teams.restore');
Route::get('/teams-recycler/{id}', [App\Http\Controllers\Admin\TeamController::class,'remove'])->name('teams.remove');
Route::delete('/destroyy/{team}', [App\Http\Controllers\Admin\TeamController::class,'destroy'])->name('teams.destroy');

